GWT 2.7.0

## com.google.web.bindery.autobean.shared
Interface AutoBeanVisitor.MapPropertyContext

All Superinterfaces:
  AutoBeanVisitor.PropertyContext

Enclosing class:
  AutoBeanVisitor

    public static interface AutoBeanVisitor.MapPropertyContext

extends AutoBeanVisitor.PropertyContext

A PropertyContext that describes the parameterization of the Map being visited.

Method Summary
`java.lang.Class<?>` | `getKeyType()` Returns the map's key type.
`java.lang.Class<?>` | `getValueType()` Returns the map's value type.

Methods inherited from interface com.google.web.bindery.autobean.shared.AutoBeanVisitor.PropertyContext
`accept, canSet, getType, set`

Method Detail

### getKeyType

    java.lang.Class<?> getKeyType()

  Returns the map's key type.

  Returns:
    a Class object representing the key type

### getValueType

    java.lang.Class<?> getValueType()

  Returns the map's value type.

  Returns:
    a Class object representing the value type

GWT 2.7.0